
QGIS Application - Bug report #17084

Using offline editing in a plugin causes edits to be duplicated

2017-08-28 11:14 AM - valentine arrieta

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24983

Description

When having both Offline Editing and Qfield Sync plugins activated, actions on a offline layer are registered twice in the sqlite log file.

History

#1 - 2017-08-28 11:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is this a qfield specific issue? if yes this is not the right place where to report it.

#2 - 2017-08-28 12:28 PM - Matthias Kuhn

It's partially a QGIS issue.

It's not possible to use the (core) offline editing functionality (the part that creates an offline copy) in a plugin without also having the deamon (the one that

records edits) as well.

#3 - 2017-08-28 12:45 PM - Giovanni Manghi

Matthias Kuhn wrote:

It's partially a QGIS issue.

It's not possible to use the (core) offline editing functionality (the part that creates an offline copy) in a plugin without also having the deamon (the one

that records edits) as well.

sounds like a feature request, can you please update the ticket with a proper title?

#4 - 2017-08-28 12:48 PM - Matthias Kuhn

- Subject changed from Action registered twice in sqlite  to Using offline editing in a plugin causes edits to be duplicated

#5 - 2017-08-28 01:26 PM - Matthias Kuhn

I'm 50/50 on bug vs. issue. It's actually a "non-usable part of the public API", so it could be fixed as a bug on 2.18. But realistically really only if it's trivial

enough not to risk any side-effects.

2025-04-26 1/2



#6 - 2017-08-28 03:05 PM - Giovanni Manghi

- Category changed from Data Provider/SpatiaLite to C++ plugins/Offline editing

- Affected QGIS version changed from 2.18.1 to 2.18.12

- Assignee deleted (Matthias Kuhn)

- Status changed from Feedback to Open

#7 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#8 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
